Gtk2::Adjustment(3)

NAME
Gtk2::Adjustment

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Adjustment

METHODS

  object = Gtk2::Adjustment->new ($value, $lower, $upper, $step_increment, $page_increment, $page_size)

•   $value (double)

•   $lower (double)

•   $upper (double)

•   $step_increment (double)

•   $page_increment (double)

•   $page_size (double)

  $adjustment->changed

  $adjustment->clamp_page ($lower, $upper)

•   $lower (double)

•   $upper (double)

  double = $adjustment->value

  double = $adjustment->value ($newval)

  double = $adjustment->lower

  double = $adjustment->lower ($newval)

  double = $adjustment->upper

  double = $adjustment->upper ($newval)

  double = $adjustment->step_increment

  double = $adjustment->step_increment ($newval)

  double = $adjustment->page_increment

  double = $adjustment->page_increment ($newval)

  double = $adjustment->page_size

  double = $adjustment->page_size ($newval)

•   $newval (double)

Get or set the six fields of a Gtk2::Adjustment.

The setter functions store $newval and return the old value. Note that they don't emit any signals; it's up to you to emit "notify" (because the fields are also properties) and "changed" or "value-changed", when you're ready.

  $adjustment->value_changed

  double = $adjustment->get_value

  $adjustment->set_value ($value)

•   $value (double)

PROPERTIES

'lower' (double : default 0 : readable / writable / private)
    The minimum value of the adjustment

'page-increment' (double : default 0 : readable / writable / private)
    The page increment of the adjustment

'page-size' (double : default 0 : readable / writable / private)
    The page size of the adjustment

'step-increment' (double : default 0 : readable / writable / private)
    The step increment of the adjustment

'upper' (double : default 0 : readable / writable / private)
    The maximum value of the adjustment

'value' (double : default 0 : readable / writable / private)
    The value of the adjustment

SIGNALS

changed (Gtk2::Adjustment)
value-changed (Gtk2::Adjustment)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.